#ifndef TESTENTITY_H
#define TESTENTITY_H

#include <vector>
#include "question.h"

class TestEntity
{
public:
    TestEntity();
    std::vector<QuestionEntity> getQuestions();
    void setQuestions(std::vector<QuestionEntity>& p_questions);
    void checkQuestions(std::vector<std::unordered_set<QString> > &p_answers);
    unsigned int getPercentage();

private:
    std::vector<QuestionEntity> questions;
    unsigned int percentage;
};

#endif // TESTENTITY_H
